Package com.google.protobuf

# Class Method.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<Method.Builder>
com.google.protobuf.Method.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `MethodOrBuilder`, `Cloneable`

Enclosing class:
  Method

public static final class Method.Builder extends GeneratedMessageV3.Builder<Method.Builder> implements MethodOrBuilder
Protobuf type `google.protobuf.Method`

## Method Summary

Modifier and Type
Method
Description
`Method.Builder`
`addAllOptions(Iterable<? extends Option> values)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Method.Builder`
`addOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Method.Builder`
`addOptions(int index, Option.Builder builderForValue)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Method.Builder`
`addOptions(Option value)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Method.Builder`
`addOptions(Option.Builder builderForValue)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Option.Builder`
`addOptionsBuilder()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Option.Builder`
`addOptionsBuilder(int index)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Method`
`build()`
Constructs the message based on the state of the Builder.
`Method`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`Method.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`Method.Builder`
`clearName()`
`string name = 1 [json_name = "name"];`
`Method.Builder`
`clearOptions()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Method.Builder`
`clearRequestStreaming()`
`bool request_streaming = 3 [json_name = "requestStreaming"];`
`Method.Builder`
`clearRequestTypeUrl()`
`string request_type_url = 2 [json_name = "requestTypeUrl"];`
`Method.Builder`
`clearResponseStreaming()`
`bool response_streaming = 5 [json_name = "responseStreaming"];`
`Method.Builder`
`clearResponseTypeUrl()`
`string response_type_url = 4 [json_name = "responseTypeUrl"];`
`Method.Builder`
`clearSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Method`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getName()`
`string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`string name = 1 [json_name = "name"];`
`Option`
`getOptions(int index)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Option.Builder`
`getOptionsBuilder(int index)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`List<Option.Builder>`
`getOptionsBuilderList()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`int`
`getOptionsCount()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`List<Option>`
`getOptionsList()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`OptionOrBuilder`
`getOptionsOrBuilder(int index)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`List<? extends OptionOrBuilder>`
`getOptionsOrBuilderList()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`boolean`
`getRequestStreaming()`
`bool request_streaming = 3 [json_name = "requestStreaming"];`
`String`
`getRequestTypeUrl()`
`string request_type_url = 2 [json_name = "requestTypeUrl"];`
`ByteString`
`getRequestTypeUrlBytes()`
`string request_type_url = 2 [json_name = "requestTypeUrl"];`
`boolean`
`getResponseStreaming()`
`bool response_streaming = 5 [json_name = "responseStreaming"];`
`String`
`getResponseTypeUrl()`
`string response_type_url = 4 [json_name = "responseTypeUrl"];`
`ByteString`
`getResponseTypeUrlBytes()`
`string response_type_url = 4 [json_name = "responseTypeUrl"];`
`Syntax`
`getSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`int`
`getSyntaxValue()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`Method.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`Method.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`Method.Builder`
`mergeFrom(Method other)`
`final Method.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`Method.Builder`
`removeOptions(int index)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Method.Builder`
`setName(String value)`
`string name = 1 [json_name = "name"];`
`Method.Builder`
`setNameBytes(ByteString value)`
`string name = 1 [json_name = "name"];`
`Method.Builder`
`setOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Method.Builder`
`setOptions(int index, Option.Builder builderForValue)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Method.Builder`
`setRequestStreaming(boolean value)`
`bool request_streaming = 3 [json_name = "requestStreaming"];`
`Method.Builder`
`setRequestTypeUrl(String value)`
`string request_type_url = 2 [json_name = "requestTypeUrl"];`
`Method.Builder`
`setRequestTypeUrlBytes(ByteString value)`
`string request_type_url = 2 [json_name = "requestTypeUrl"];`
`Method.Builder`
`setResponseStreaming(boolean value)`
`bool response_streaming = 5 [json_name = "responseStreaming"];`
`Method.Builder`
`setResponseTypeUrl(String value)`
`string response_type_url = 4 [json_name = "responseTypeUrl"];`
`Method.Builder`
`setResponseTypeUrlBytes(ByteString value)`
`string response_type_url = 4 [json_name = "responseTypeUrl"];`
`Method.Builder`
`setSyntax(Syntax value)`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Method.Builder`
`setSyntaxValue(int value)`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`final Method.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<Method.Builder>`

### clear

public Method.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<Method.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<Method.Builder>`

### getDefaultInstanceForType

public Method getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public Method build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public Method buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public Method.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<Method.Builder>`

### mergeFrom

public Method.Builder mergeFrom(Method other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<Method.Builder>`

### mergeFrom

public Method.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<Method.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getName

public String getName()
`string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `MethodOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `MethodOrBuilder`
Returns:
  The bytes for name.

### setName

public Method.Builder setName(String value)
`string name = 1 [json_name = "name"];`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public Method.Builder clearName()
`string name = 1 [json_name = "name"];`

Returns:
  This builder for chaining.

### setNameBytes

public Method.Builder setNameBytes(ByteString value)
`string name = 1 [json_name = "name"];`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getRequestTypeUrl

public String getRequestTypeUrl()
`string request_type_url = 2 [json_name = "requestTypeUrl"];`

Specified by:
  `getRequestTypeUrl` in interface `MethodOrBuilder`
Returns:
  The requestTypeUrl.

### getRequestTypeUrlBytes

public ByteString getRequestTypeUrlBytes()
`string request_type_url = 2 [json_name = "requestTypeUrl"];`

Specified by:
  `getRequestTypeUrlBytes` in interface `MethodOrBuilder`
Returns:
  The bytes for requestTypeUrl.

### setRequestTypeUrl

public Method.Builder setRequestTypeUrl(String value)
`string request_type_url = 2 [json_name = "requestTypeUrl"];`

Parameters:
  `value` - The requestTypeUrl to set.
Returns:
  This builder for chaining.

### clearRequestTypeUrl

public Method.Builder clearRequestTypeUrl()
`string request_type_url = 2 [json_name = "requestTypeUrl"];`

Returns:
  This builder for chaining.

### setRequestTypeUrlBytes

public Method.Builder setRequestTypeUrlBytes(ByteString value)
`string request_type_url = 2 [json_name = "requestTypeUrl"];`

Parameters:
  `value` - The bytes for requestTypeUrl to set.
Returns:
  This builder for chaining.

### getRequestStreaming

public boolean getRequestStreaming()
`bool request_streaming = 3 [json_name = "requestStreaming"];`

Specified by:
  `getRequestStreaming` in interface `MethodOrBuilder`
Returns:
  The requestStreaming.

### setRequestStreaming

public Method.Builder setRequestStreaming(boolean value)
`bool request_streaming = 3 [json_name = "requestStreaming"];`

Parameters:
  `value` - The requestStreaming to set.
Returns:
  This builder for chaining.

### clearRequestStreaming

public Method.Builder clearRequestStreaming()
`bool request_streaming = 3 [json_name = "requestStreaming"];`

Returns:
  This builder for chaining.

### getResponseTypeUrl

public String getResponseTypeUrl()
`string response_type_url = 4 [json_name = "responseTypeUrl"];`

Specified by:
  `getResponseTypeUrl` in interface `MethodOrBuilder`
Returns:
  The responseTypeUrl.

### getResponseTypeUrlBytes

public ByteString getResponseTypeUrlBytes()
`string response_type_url = 4 [json_name = "responseTypeUrl"];`

Specified by:
  `getResponseTypeUrlBytes` in interface `MethodOrBuilder`
Returns:
  The bytes for responseTypeUrl.

### setResponseTypeUrl

public Method.Builder setResponseTypeUrl(String value)
`string response_type_url = 4 [json_name = "responseTypeUrl"];`

Parameters:
  `value` - The responseTypeUrl to set.
Returns:
  This builder for chaining.

### clearResponseTypeUrl

public Method.Builder clearResponseTypeUrl()
`string response_type_url = 4 [json_name = "responseTypeUrl"];`

Returns:
  This builder for chaining.

### setResponseTypeUrlBytes

public Method.Builder setResponseTypeUrlBytes(ByteString value)
`string response_type_url = 4 [json_name = "responseTypeUrl"];`

Parameters:
  `value` - The bytes for responseTypeUrl to set.
Returns:
  This builder for chaining.

### getResponseStreaming

public boolean getResponseStreaming()
`bool response_streaming = 5 [json_name = "responseStreaming"];`

Specified by:
  `getResponseStreaming` in interface `MethodOrBuilder`
Returns:
  The responseStreaming.

### setResponseStreaming

public Method.Builder setResponseStreaming(boolean value)
`bool response_streaming = 5 [json_name = "responseStreaming"];`

Parameters:
  `value` - The responseStreaming to set.
Returns:
  This builder for chaining.

### clearResponseStreaming

public Method.Builder clearResponseStreaming()
`bool response_streaming = 5 [json_name = "responseStreaming"];`

Returns:
  This builder for chaining.

### getOptionsList

public List<Option> getOptionsList()
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

Specified by:
  `getOptionsList` in interface `MethodOrBuilder`

### getOptionsCount

public int getOptionsCount()
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

Specified by:
  `getOptionsCount` in interface `MethodOrBuilder`

### getOptions

public Option getOptions(int index)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

Specified by:
  `getOptions` in interface `MethodOrBuilder`

### setOptions

public Method.Builder setOptions(int index, Option value)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### setOptions

public Method.Builder setOptions(int index, Option.Builder builderForValue)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### addOptions

public Method.Builder addOptions(Option value)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### addOptions

public Method.Builder addOptions(int index, Option value)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### addOptions

public Method.Builder addOptions(Option.Builder builderForValue)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### addOptions

public Method.Builder addOptions(int index, Option.Builder builderForValue)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### addAllOptions

public Method.Builder addAllOptions(Iterable<? extends Option> values)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### clearOptions

public Method.Builder clearOptions()
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### removeOptions

public Method.Builder removeOptions(int index)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### getOptionsBuilder

public Option.Builder getOptionsBuilder(int index)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### getOptionsOrBuilder

public OptionOrBuilder getOptionsOrBuilder(int index)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilder` in interface `MethodOrBuilder`

### getOptionsOrBuilderList

public List<? extends OptionOrBuilder> getOptionsOrBuilderList()
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilderList` in interface `MethodOrBuilder`

### addOptionsBuilder

public Option.Builder addOptionsBuilder()
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### addOptionsBuilder

public Option.Builder addOptionsBuilder(int index)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### getOptionsBuilderList

public List<Option.Builder> getOptionsBuilderList()
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### getSyntaxValue

public int getSyntaxValue()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Specified by:
  `getSyntaxValue` in interface `MethodOrBuilder`
Returns:
  The enum numeric value on the wire for syntax.

### setSyntaxValue

public Method.Builder setSyntaxValue(int value)
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Parameters:
  `value` - The enum numeric value on the wire for syntax to set.
Returns:
  This builder for chaining.

### getSyntax

public Syntax getSyntax()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Specified by:
  `getSyntax` in interface `MethodOrBuilder`
Returns:
  The syntax.

### setSyntax

public Method.Builder setSyntax(Syntax value)
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Parameters:
  `value` - The syntax to set.
Returns:
  This builder for chaining.

### clearSyntax

public Method.Builder clearSyntax()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Returns:
  This builder for chaining.

### setUnknownFields

public final Method.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<Method.Builder>`

### mergeUnknownFields

public final Method.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<Method.Builder>`